---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: &app forgejo
  namespace: &namespace development
spec:
  targetNamespace: *namespace
  commonMetadata:
    labels:
      app.kubernetes.io/name: *app
  components:
    - ../../../../flux/components/gatus/internal
  path: ./kubernetes/apps/development/forgejo/app
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  interval: 30m
  retryInterval: 1m
  timeout: 3m
  postBuild:
    substitute:
      APP: *app
      GATUS_SUBDOMAIN: git
---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: forgejo-runner
  namespace: flux-system
spec:
  targetNamespace: development
  path: ./kubernetes/apps/development/forgejo/runner
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  interval: 30m
  retryInterval: 1m
  timeout: 3m
---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: forgejo-init-db
  namespace: flux-system
spec:
  targetNamespace: development
  path: ./kubernetes/apps/development/forgejo/init-db
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  interval: 30m
  retryInterval: 1m
  timeout: 3m
